SW_VERS=$(sw_vers -productVersion)
PWD=$(pwd)
echo "Installation works if Terminal has Full Disk Access. You can change it from System > Security and Privacy > Full Disk Access. Add + and select Terminal.app from applications."

read -r -p "Are you sure you want to install TRI3D SVIEWER in this location?  The files cannot be moved later. [y/n] " response
if [[ "$response" =~ ^([yY][eE][sS]|[yY])$ ]]
then
	read -p "Please Enter the API KEY " 
	if curl "http://demo.tri3d.in/installation_attempt?api_key=$REPLY&installation_stage=start&sw=$SW_VERS&wd=$PWD" | grep "Found"
	then
	    chsh -s /bin/bash
	    sed -i.bak '/^TRI3D_INSTALL_PATH/d' ~/.bash_profile
	    sed -i.bak '/^TRI3D_API_KEY/d' ~/.bash_profile
	    echo TRI3D_API_KEY=$REPLY >> ~/.bash_profile
	    BASEDIR=$(dirname "$0")
	    echo TRI3D_INSTALL_PATH=$BASEDIR/ >> ~/.bash_profile
	    source ~/.bash_profile

	    cd $TRI3D_INSTALL_PATH
	    curl  https://bootstrap.pypa.io/pip/2.7/get-pip.py -o get-pip.py
	    echo "PLEASE ENTER YOUR MACBOOK PASSWORD"
	    sudo python get-pip.py
	    rm -rf get-pip.py
	  

	    echo "Downloading tri3d_sviewer .... "
	    python -c 'import urllib;testfile = urllib.URLopener();testfile.retrieve("https://gallerytri3d.s3.amazonaws.com/tri3d_sviewer.zip", "tri3d_sviewer.zip")'
	    mkdir tri3d_sviewer
	    mkdir tri3d_sviewer/sviewer
	    unzip tri3d_sviewer.zip -d tri3d_sviewer/sviewer
	    rm -rf tri3d_sviewer.zip

	    

	    sudo python -m pip install --ignore-installed virtualenv

	    python -m virtualenv tri3d_sviewer/venv
	    source tri3d_sviewer/venv/bin/activate
	    pip install --ignore-installed -r tri3d_sviewer/sviewer/requirements.txt
	    pip install --ignore-installed -r tri3d_sviewer/sviewer/requirements_mac.txt
	    python tri3d_sviewer/sviewer/manage.py setup_first_time
	    python tri3d_sviewer/sviewer/manage.py setAPI --A $TRI3D_API_KEY
	    cp -R Contents/START_TRI3D.app $TRI3D_INSTALL_PATH
	    cp -R Contents/UPDATE_TRI3D.app $TRI3D_INSTALL_PATH
	    curl "http://demo.tri3d.in/installation_attempt?api_key=$TRI3D_API_KEY&installation_stage=end&notes=SUCCESS"
	    echo 
	    echo "INSTALLATION COMPLETE! PLEASE DONOT MOVE OR DELETE THE FOLDER!"
	    exit
	else
	    echo "API_KEY not found, Please enter correct key or reach out TEAMTRI3D!"
	    echo
	    echo
	    echo
	fi
else
	echo "Move the files to folder of your choice and install from there"
    exit;
fi


	